import { useMainStore, pinia } from '@flaschengeist/api';
import { saveToken } from 'app/api';
import { boot } from 'quasar/wrappers';

export default boot(({ app }) => {
  app.use(pinia);

  const store = useMainStore();
  store.init().finally(() => {
    store.$subscribe((mutation, state) => {
      saveToken(state.session?.token);
    });
  });
});
